Subject: RE: Oh dear, pthreads and stdio still not mt-safe :-(
From: "Dave Korn" <[email-masked]>
To: <[email-masked]>
Cc: "'Thomas Pfaff'" <[email-masked]>
Date: Wed, 14 Jan 2004 15:13:32 -0000

> -----Original Message-----
> From: Thomas Pfaff [mailto:[email-masked]] 
> Sent: 13 January 2004 20:01
> To: Dave Korn
> Cc: [email-masked]
> Subject: Re: Oh dear, pthreads and stdio still not mt-safe :-(
> 
> Dave Korn wrote:
> >   Ah, thanks for the info.  I noticed that a few people have been 
> > working on it lately, including yourself and Thomas Pfaff, so I was 
> > hoping that any known problems or workrounds might be fresh in 
> > people's minds.  May I ask if whoever last was maintainer 
> left any notes or docs about problems/work
> > needed?  Anything with clues in it might help.   
> > 
> 
> If you are interested i can sent you a patch for 1.5.5 that 
> includes all the pthread patches in current (+ thread safe stdio).
> 
> Thomas

  Thomas, thanks, please do send it to me, as I'd certainly like to give it
a try.  It may be a little while before I'm able to report back, however, as
I can't get the CVS sources to build correctly at the moment.

   cheers, 
     DaveK

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/